Download it now!
Bug 133502 - annotation has wrong position in LO 7.0
Summary: annotation has wrong position in LO 7.0
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2020-05-29 17:51 UTC by Regina Henschel
Modified: 2020-09-14 09:22 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Page with annotation (12.89 KB, application/vnd.oasis.opendocument.presentation)
2020-05-29 17:51 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-05-29 17:51:09 UTC
Created attachment 161399 [details]
Page with annotation

Open attached file in LO 7.0 and in LO 6.4.
The annotation rectangle should be in the center of the page, but it is in the default top-left corner.

OK in Version: 6.4.5.0.0+ (x64)
Build ID: 70a2071ce91b71326659e645dd97996262ea309a
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL

Wrong position in Version: 7.0.0.0.alpha1+ (x64)
Build ID: 0a7341c26741f16835c9062c309e7d3a7fca8209
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 1 BogdanB 2020-05-29 18:00:44 UTC
Confirm it on
Version: 7.0.0.0.alpha1+
Build ID: 77140de3fe925f75620e94dbd848b1c925935fb5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 2 BogdanB 2020-05-29 18:06:42 UTC
Bibisected:

5791f40844e3fb6d5a6c4aa7c4f65b321999a872 is the first bad commit
commit 5791f40844e3fb6d5a6c4aa7c4f65b321999a872
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Mar 10 12:25:39 2020 +0100

    source sha:20c5a2abb61c4246c6001b7b6d5bd69cd5882cfd
    
    source sha:20c5a2abb61c4246c6001b7b6d5bd69cd5882cfd

 instdir/program/libxolo.so | Bin 6325432 -> 6326560 bytes
 instdir/program/versionrc  |   2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)
Warning: failed to read path from javaldx
Comment 3 Aron Budea 2020-09-12 07:51:33 UTC
That is the following commit. Adding CC: to Noel Grandin.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=20c5a2abb61c4246c6001b7b6d5bd69cd5882cfd
author		Noel Grandin <noel.grandin@collabora.co.uk>	2020-03-09 15:23:24 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2020-03-10 10:42:10 +0100

use FastParser in DrawAnnotationContext
Comment 4 Commit Notification 2020-09-12 13:35:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/35612c995d53d74e8b9ba44bc6e940cbb4dd0f60

tdf#133502 annotation has wrong position

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-09-13 17:22:36 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f35a95ff215203fc6bd0f943125283610c95ce3f

tdf#133502 annotation has wrong position

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-09-14 09:01:35 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 63317c6b5f3330dcbf977f37a9d01eafbc7451c2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 7 Commit Notification 2020-09-14 09:22:05 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/66132b519f406acc8838934499311b0a1e0fc4c1

tdf#133502: sd_export_ooxml2: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.